curl --request POST \
--url https://api.notifique.dev/v1/sms/messages \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"to": [
"5511999999999",
"5521988887777"
],
"type": "text",
"payload": {
"message": "Olá! SMS de teste."
},
"schedule": {
"sendAt": "2025-12-31T14:00:00.000Z"
},
"options": {
"priority": "high",
"webhook": {
"url": "https://api.seudominio.com/hooks/sms-events",
"secret": "opcional_hmac_secret"
}
},
"metadata": {
"orderId": "12345",
"source": "checkout"
}
}
'{
"success": true,
"data": {
"status": "QUEUED",
"count": 2,
"messageIds": [
"clxx1...",
"clxx2..."
]
}
}Enviar SMS
Envía SMS a uno o más números a la vez. Elija el ejemplo: texto, plantilla del workspace (variables como JSON clave→valor con nombres, ej. codigo y nombre), programado o con prioridad y webhook. Permisos: Ámbitos de la API Key.
curl --request POST \
--url https://api.notifique.dev/v1/sms/messages \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"to": [
"5511999999999",
"5521988887777"
],
"type": "text",
"payload": {
"message": "Olá! SMS de teste."
},
"schedule": {
"sendAt": "2025-12-31T14:00:00.000Z"
},
"options": {
"priority": "high",
"webhook": {
"url": "https://api.seudominio.com/hooks/sms-events",
"secret": "opcional_hmac_secret"
}
},
"metadata": {
"orderId": "12345",
"source": "checkout"
}
}
'{
"success": true,
"data": {
"status": "QUEUED",
"count": 2,
"messageIds": [
"clxx1...",
"clxx2..."
]
}
}Autorizações
API Key no header Authorization. Exemplo: Authorization: Bearer sk_live_xxxxx
Cabeçalhos
Chave única para evitar envio duplicado. Alternativa: x-idempotency-key.
Chave única para idempotência (alternativa a Idempotency-Key).
Corpo
Um ou mais números no formato internacional (ex.: 5511999999999).
1 - 500 elementsEscolha text para mensagem livre ou template para usar um template do workspace.
text, template Corpo conforme type. text: message (obrigatório). template: templateId e variables opcionais.
Show child attributes
Show child attributes
Remetente SMS (opcional): id ou E.164 do número do workspace.
Placeholders na raiz para type: text (ex.: {{name}} em payload.message). Mesclado com dados do contato do CRM.
Show child attributes
Show child attributes
Localização do texto por destinatário.
Show child attributes
Show child attributes
Traduções manuais por locale quando localization.mode é manual.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Objeto JSON persistido em SmsLog.metadata (máx. 20 chaves, 16 KB). Valores podem ser strings ou outros tipos JSON.
Show child attributes
Show child attributes
Esta página foi útil?

